QGIS Application - Bug report #3013
union crashes QGIS
2010-09-15 11:30 PM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: Debian Easy fix?: No
Pull Request or Patch supplied: Resolution: fixed
Crashes QGIS or corrupts data: Copied to github as #: 13073
Description

When applying union from fTools plugin to the attached data, QGIS consistently crashes. QGIS self compiled from trunk (r14215), geos

3.2.0 from Debian testing.

History

#1 - 2010-09-16 01:14 AM - Giovanni Manghi

Paolo and Carson,

no crash under Ubuntu 10.04, geos 3.2.2

Seems to me a GEOS version problem.

By the way, the windows/osgeo4w version of geos should be really updated...

#2 - 2010-09-16 06:04 AM - Jiirgen Fischer

also crashes on Debian unstable using GDAL 1.6, but doesn't with GDAL 1.7 from experimental.

#3 - 2010-09-24 03:01 PM - cfarmer -

- Status changed from Open to In Progress

Works fine for me (GDAL 1.7.2 & GEOS 3.2.2) This is obviously not (directly) a QGIS issue. I'm unsure on what to do here? Thoughts?

Carson

#4 - 2010-09-25 10:34 AM - Paolo Cavallini

I think generally the error should be trapped, not crashing the whole QGIS.

#5 - 2010-11-08 03:23 PM - cfarmer -
- Status changed from In Progress to Open
Major changes to union in commit:faa3eb83 (SVN r14538), please test and re-open if required.

Carson

#6 - 2010-11-12 12:58 AM - Paolo Cavallini
- Resolution set to fixed
- Status changed from Open to Closed

Confirmed, fixed. Thanks Carson!

Files
butta_buf_shp.zip 10.2 KB 2010-09-15 Paolo Cavallini
butta_test2_shp.zip 3.28 KB 2010-09-15 Paolo Cavallini
